<?php  
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package magzen
 */

get_header(); ?>
<div class="container">
	<div id="primary" class="content-area eleven columns alpha">
		<main id="main" class="site-main" role="main">

		<?php
		while ( have_posts() ) : the_post();  

			get_template_part( 'template-parts/content', get_post_format() );

			the_post_navigation();

		    if( get_theme_mod ('author_bio_box')): ?>
				<section class="author-bio clearfix">
					<div class="author-info">
						<div class="avatar">
							<?php echo get_avatar( get_the_author_meta( 'email' ), '72' ); ?>
						</div>
						<div class="description">
							<h4><?php echo __( 'About Author:', 'magzen' ); ?> <?php the_author_posts_link(); ?></h4>
							<?php the_author_meta('description');?>
						</div>
					</div>
				</section>
			<?php endif; ?>

			<?php if( get_theme_mod('related_posts') && function_exists( 'magzen_related_posts' ) ) : ?>
				<section class="related-posts clearfix">
					<?php magzen_related_posts(); ?>
				</section>
			<?php endif; 

			if( get_theme_mod ('comments',true) ) :
				// If comments are open or we have at least one comment, load up the comment template
				if ( comments_open() || '0' != get_comments_number() ) :
					comments_template();
				endif;
			endif;
			
		endwhile; // End of the loop.
		?>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php
get_sidebar();
get_footer();
